summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/urllib3/Manifest1
-rw-r--r--dev-python/urllib3/urllib3-1.19.ebuild115
2 files changed, 116 insertions, 0 deletions
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index f5d0b4dbca4..95f38f0d146 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -3,3 +3,4 @@ DIST urllib3-1.12.tar.gz 151072 SHA256 0ea512776971fe4e76192600fe41e4e7ee96b4b9a
DIST urllib3-1.13.1.tar.gz 156259 SHA256 6eba1d713f8552e37ac4081c6bdf7be9f5a79f58447aed762bf24cc34c5e3983 SHA512 663c0a10b0e6b8a2c337cf799e45b8d949cbf0f542e22204fe31af193c7275c499ddf0ac3470152cc51bed56a0f5b77f1897140801b732773f606e77e8cea420 WHIRLPOOL d0c3ea06f7a8180eca9b22197ddad6f04ea9b9c5fe254ade00e12fb9a5ffeaa9264a5a160cc49ebd87a1822ba13af22bef357a241b7b76b2281f400f776e309e
DIST urllib3-1.14.tar.gz 161497 SHA256 dd4fb13a4ce50b18338c7e4d665b21fd38632c5d4b1d9f1a1379276bd3c08d37 SHA512 8c315b442bc7454e421f2c801cc2bbfc011fb2eb5dcbd2ff7d6078dab0bb5254e3e1489496758cec190ebd0c249962fa1fe24fe6535e844a681350e9d7353562 WHIRLPOOL 3be475d5591328d304bbf48392ab563a7d5013907c96298abaf34b06a7a16fe81d56a03f6a73d50c9679334b140f00789a71a918f2ea1e6951e5351324852f3c
DIST urllib3-1.16.tar.gz 179763 SHA256 63d479478ddfc83bbc11577dc16d47835c5179ac13e550118ca143b62c4bf9ab SHA512 646b35a9a4490b2d1f068883a29cbb5be5050a6eea7bb7842f77cd666b7f88101a7612e8eb45ae0eb900d914518db5202f548ab688b8db1c20ed248ba2edac66 WHIRLPOOL a4a813a5fc560a1487a87e492185122ffe8a41ba263e3c5e5962a48b9f4577a6360fa5d47d474f3c97a56e7ef99b2854c0f742075c05b88461f41d69e10c7a04
+DIST urllib3-1.19.tar.gz 187217 SHA256 87f362d061184191d07ced0b947d8526f3e1884f21b0fe97fab313dedcb895be SHA512 3c4a6cbcf8e6797c1ba0d0945ae4f767314607f746a79aeac95230130682c91de5c16826b299973e9e3374a284facc10be39df8cef3dea876d1dea4314c62d94 WHIRLPOOL 978f4c7c9fc9d858c423229d91b0c8d80256dcd0ad08400c8aaf9bfbbcbb7c0abad2eec86deddac3b41ed8dcf9348d70e7e8f2e2ae6e3edbe5c3827b2b44db21
diff --git a/dev-python/urllib3/urllib3-1.19.ebuild b/dev-python/urllib3/urllib3-1.19.ebuild
new file mode 100644
index 00000000000..44db77a6d03
--- /dev/null
+++ b/dev-python/urllib3/urllib3-1.19.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="https://github.com/shazow/urllib3"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-fbsd ~x86-linux"
+IUSE="doc test"
+
+RDEPEND="
+ >=dev-python/PySocks-1.5.6[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-1.3.4[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.14[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/backports-ssl-match-hostname[${PYTHON_USEDEP}]' python2_7 pypy)
+ >=dev-python/idna-2.0.0[${PYTHON_USEDEP}]
+ virtual/python-ipaddress[${PYTHON_USEDEP}]
+ "
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=www-servers/tornado-4.2.1[$(python_gen_usedep 'python*')]
+ >=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/nose-1.3.7[${PYTHON_USEDEP}]
+ >=dev-python/nose-exclude-0.4.1[${PYTHON_USEDEP}]
+ )
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ "
+
+# Testsuite written requiring mock to be installed under all Cpythons
+
+PATCHES=( "${FILESDIR}"/${PN}-1.16.0-unbundle.patch )
+
+python_prepare_all() {
+ # Replace bundled copy of dev-python/six
+ cat > urllib3/packages/six.py <<-EOF
+ from __future__ import absolute_import
+ from six import *
+ EOF
+
+ rm -r urllib3/packages/ssl_match_hostname || die
+ cat > urllib3/packages/ssl_match_hostname.py <<- EOF
+ from __future__ import absolute_import
+ try:
+ from backports.ssl_match_hostname import CertificateError, match_hostname
+ except ImportError:
+ from ssl import CertificateError, match_hostname
+ EOF
+
+ cat > urllib3/packages/ordered_dict.py <<- EOF
+ from __future__ import absolute_import
+ from collections import OrderedDict
+ EOF
+
+ sed \
+ -e 's:\.packages\.six:six:g' \
+ -e 's:\.six:six:g' \
+ -i urllib3/util/response.py urllib3/response.py urllib3/exceptions.py urllib3/connectionpool.py urllib3/connection.py urllib3/request.py urllib3/poolmanager.py || die
+
+ sed -i '/cover-min-percentage/d' setup.cfg || die
+ # Fix tests
+ sed -i 's/urllib3.packages.six/six/' test/test_retry.py dummyserver/handlers.py test/test_response.py test/test_connectionpool.py test/with_dummyserver/test_connectionpool.py || die
+
+ # Reset source of objects.inv
+ if use doc; then
+ local PYTHON_DOC_ATOM=$(best_version --host-root dev-python/python-docs:2.7)
+ local PYTHON_DOC_VERSION="${PYTHON_DOC_ATOM#dev-python/python-docs-}"
+ local PYTHON_DOC="/usr/share/doc/python-docs-${PYTHON_DOC_VERSION}/html"
+ local PYTHON_DOC_INVENTORY="${PYTHON_DOC}/objects.inv"
+ sed \
+ -e "s|'python': ('http://docs.python.org/2.7', None|'${PYTHON_DOC}': ('${PYTHON_DOC_INVENTORY}'|" \
+ -i docs/conf.py || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ # Failures still occur under py2.7.
+ # https://github.com/shazow/urllib3/issues/621
+
+ [[ "${EPYTHON}" == pypy ]] && return
+
+ nosetests -v \
+ --exclude test_headerdict \
+ --exclude test_headers \
+ --exclude test_source_address_error \
+ --exclude test_no_ssl \
+ --exclude test_ca_dir_verified \
+ --exclude test_verified \
+ test || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}